Skip to main content
Operations Management/Billing Management Operations

CreateResourcePrice

CreateResourcePrice

POST/zstack/v1/billings/prices

Operation ID

CreateResourcePrice

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • resourceName
      StringRequired

      The resource name.

    • resourceUnit
      String

      Optional. The billing unit of the resource.

    • timeUnit
      StringRequired

      The billing time unit.

    • price
      doubleRequired

      The unit price.

    • accountUuid
      String

      Optional. The account UUID.

    • dateInLong
      Long

      Optional. The long-integer time.

    • tableUuid
      String

      Optional. The price table UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    PriceInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • resourceName
      StringRequired

      The resource name.

    • resourceUnit
      StringRequired

      The billing unit of the resource.

    • timeUnit
      StringRequired

      The billing time unit.

    • price
      DoubleRequired

      The unit price.

    • dateInLong
      LongRequired

      The long-integer time.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • tableUuid
      StringRequired

      The price table UUID.

    • pciDeviceOfferings
      ListRequired

      See pciDeviceOfferings.

      • priceUuid
        StringRequired

        The price UUID.

      • pciDeviceOfferingUuid
        StringRequired

        The PCI device offering UUID.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.